curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/items/sales-channels/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"itemKeys": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
],
"activateSalesChannels": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
],
"deactivateSalesChannels": [
"b45f6432-2462-4c6f-b00f-1d9d01000000"
],
"applyToChildItems": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/items/sales-channels/batch"
payload = {
"itemKeys": ["b45f6432-2462-4c6f-b00f-1d9d01000000"],
"activateSalesChannels": ["b45f6432-2462-4c6f-b00f-1d9d01000000"],
"deactivateSalesChannels": ["b45f6432-2462-4c6f-b00f-1d9d01000000"],
"applyToChildItems": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
itemKeys: ['b45f6432-2462-4c6f-b00f-1d9d01000000'],
activateSalesChannels: ['b45f6432-2462-4c6f-b00f-1d9d01000000'],
deactivateSalesChannels: ['b45f6432-2462-4c6f-b00f-1d9d01000000'],
applyToChildItems: true
})
};
fetch('https://api.jtl-cloud.com/erp/v2/items/sales-channels/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Updates the active sales channels for a set of items.
Updates the active sales channels for a set of items.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
Optional, client-generated key for deduplicating repeated write requests. A repeated request with the same key returns the originally recorded result instead of executing the effect again.
1 - 255The tenant ID for the target ERP instance.
Body
Request parameters
Updates the active sales channels for a set of items. - Request
The items to update.
The sales channels to activate for the item set.
The sales channels to deactivate for the item set.
Should sales channel update be applied to child items.
Response
Item sales channels were successfully updated.
Was this page helpful?